Query Traces
curl --request POST \
--url https://api.galileo.ai/v2/projects/{project_id}/traces/search \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"starting_token": 0,
"limit": 100,
"previous_last_row_id": "<string>",
"log_stream_id": "<string>",
"experiment_id": "<string>",
"metrics_testing_id": "<string>",
"filters": [
{
"column_id": "<string>",
"value": "<string>",
"operator": "eq",
"type": "id"
}
],
"filter_tree": {
"filter": {
"column_id": "<string>",
"value": "<string>",
"operator": "eq",
"type": "id"
}
},
"sort": {
"column_id": "<string>",
"ascending": true,
"sort_type": "column"
},
"truncate_fields": false,
"include_counts": false,
"include_code_metric_metadata": false
}
'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/traces/search"
payload = {
"starting_token": 0,
"limit": 100,
"previous_last_row_id": "<string>",
"log_stream_id": "<string>",
"experiment_id": "<string>",
"metrics_testing_id": "<string>",
"filters": [
{
"column_id": "<string>",
"value": "<string>",
"operator": "eq",
"type": "id"
}
],
"filter_tree": { "filter": {
"column_id": "<string>",
"value": "<string>",
"operator": "eq",
"type": "id"
} },
"sort": {
"column_id": "<string>",
"ascending": True,
"sort_type": "column"
},
"truncate_fields": False,
"include_counts": False,
"include_code_metric_metadata": False
}
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
starting_token: 0,
limit: 100,
previous_last_row_id: '<string>',
log_stream_id: '<string>',
experiment_id: '<string>',
metrics_testing_id: '<string>',
filters: [{column_id: '<string>', value: '<string>', operator: 'eq', type: 'id'}],
filter_tree: {filter: {column_id: '<string>', value: '<string>', operator: 'eq', type: 'id'}},
sort: {column_id: '<string>', ascending: true, sort_type: 'column'},
truncate_fields: false,
include_counts: false,
include_code_metric_metadata: false
})
};
fetch('https://api.galileo.ai/v2/projects/{project_id}/traces/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"num_records": 123,
"starting_token": 0,
"limit": 100,
"paginated": false,
"next_starting_token": 123,
"last_row_id": "<string>",
"records": [
{
"id": "<string>",
"session_id": "<string>",
"trace_id": "<string>",
"project_id": "<string>",
"run_id": "<string>",
"type": "trace",
"input": "",
"redacted_input": "<string>",
"output": "<string>",
"redacted_output": "<string>",
"name": "",
"created_at": "2023-11-07T05:31:56Z",
"user_metadata": {},
"tags": [
"<string>"
],
"status_code": 123,
"metrics": {
"duration_ns": 123
},
"external_id": "<string>",
"dataset_input": "<string>",
"dataset_output": "<string>",
"dataset_metadata": {},
"updated_at": "2023-11-07T05:31:56Z",
"has_children": true,
"metrics_batch_id": "<string>",
"session_batch_id": "<string>",
"feedback_rating_info": {},
"annotations": {},
"file_ids": [
"<string>"
],
"file_modalities": [],
"annotation_aggregates": {},
"annotation_agreement": {},
"overall_annotation_agreement": 123,
"annotation_queue_ids": [
"<string>"
],
"fully_annotated": true,
"progress_message": "",
"error_message": "",
"metric_info": {},
"files": {},
"is_complete": true,
"num_spans": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}trace
Query Traces
POST
/
v2
/
projects
/
{project_id}
/
traces
/
search
Query Traces
Authorizations
ClassicAPIKeyHeaderAPIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Body
application/json
Log stream id associated with the traces.
Experiment id associated with the traces.
Metrics testing id associated with the traces.
filters
(LogRecordsIDFilter · object | LogRecordsDateFilter · object | LogRecordsNumberFilter · object | LogRecordsBooleanFilter · object | LogRecordsCollectionFilter · object | LogRecordsTextFilter · object | LogRecordsFullyAnnotatedFilter · object)[]
- LogRecordsIDFilter
- LogRecordsDateFilter
- LogRecordsNumberFilter
- LogRecordsBooleanFilter
- LogRecordsCollectionFilter
- LogRecordsTextFilter
- LogRecordsFullyAnnotatedFilter
Show child attributes
Show child attributes
filter_tree
FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]] · object
- FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- AndNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- OrNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
- NotNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter, LogRecordsNumberFilter, LogRecordsBooleanFilter, LogRecordsCollectionFilter, LogRecordsTextFilter, LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType, required=True, discriminator='type')]]
Show child attributes
Show child attributes
Sort for the query. Defaults to native sort (created_at, id descending).
Show child attributes
Show child attributes
If True, include computed child counts (e.g., num_traces for sessions, num_spans for traces).
If True, include per-row scorer metadata (the dict returned alongside the score by code-based scorers via the (score, metadata) tuple-return contract) on each MetricSuccess in the response. Off by default to keep payloads small for callers that don't need it.
Response
Successful Response
number of records
records
(ExtendedTraceRecord · object | ExtendedAgentSpanRecord · object | ExtendedWorkflowSpanRecord · object | ExtendedLlmSpanRecord · object | ExtendedToolSpanRecord · object | ExtendedRetrieverSpanRecord · object | ExtendedControlSpanRecord · object | ExtendedSessionRecord · object)[]
records matching the query
- ExtendedTraceRecord
- ExtendedAgentSpanRecord
- ExtendedWorkflowSpanRecord
- ExtendedLlmSpanRecord
- ExtendedToolSpanRecord
- ExtendedRetrieverSpanRecord
- ExtendedControlSpanRecord
- ExtendedSessionRecord
Show child attributes
Show child attributes
Was this page helpful?
⌘I